require 'sketchup'

module JF
  module ModelID

    def self.get_modelid
      return Sketchup.active_model.get_attribute('3DWarehouse', 'ModelID')
    end

    def self.set_modelid
      result = UI::inputbox(["Set Model ID"], [get_modelid()], "Enter Model ID")
      if (result)
        Sketchup.active_model.set_attribute('3DWarehouse', 'ModelID', result[0])
        UI::messagebox("Model ID set: #{get_modelid()}")
      end
    end 

    menu = defined?(JF.menu) ? JF.menu : UI.menu('Plugins')
    menu.add_item('[JF] Model ID') {JF::ModelID.set_modelid()} 

  end
end
